/* GLOBAL STYLES */
body {
    background-color: black;
    color:white;
    margin:0px;
}

img, iframe {
    max-width: 100%;
    height:auto;
}

a{
    color:white;
    text-decoration: none;
    font-family: "pirulen", sans-serif;
}



/*NAVBAR STYLES*/
header{
    background-color:#15173D;
    padding:10px;
}

.menu-item {
    font-size:20px;
    margin:20px;
}

nav{
    display:flex;
    justify-content: space-between;
    align-items: center;
    height:50px;
    padding:10px;
}

.logo{
    max-width: 50px;
}

/*HIDE THE DESKTOP NAV ON MOBILE*/
.desktop-nav{
    display:none;
}

/*THE HAMBURGER MENU*/

.sidenav {
height: 100%;
width: 0;
            position: fixed;
            z-index: 1;
            top: 0;
            right: 0;
            background-color: #111;
            overflow-x: hidden;
            transition: 0.5s;
            padding-top: 60px;
            }

            .sidenav a {
            padding: 8px 8px 8px 32px;
            font-family: "pirulen", sans-serif;
            font-weight: 700;
            font-style: italic;
            text-decoration: none;
            font-size: 15px;
            color: #818181;
            display: block;
            transition: 0.3s;
            }

            .sidenav a:hover {
            color: #f1f1f1;
            }

            .sidenav .closebtn {
            position: absolute;
            top: 0;
            right: 25px;
            font-size: 36px;
            margin-left: 50px;
            }

/*HOMEPAGE STYLES*/
.container {
    display:flex;
    flex-direction: column;
    justify-content:center;
    align-items: center;
    background-image:url('../img/background-1.jpeg');
    /* background-repeat: no-repeat; */
    background-size: cover;
    background-position: -340px center;
    height:100vh;
} 

.page-title{
    font-family: "pirulen", sans-serif;
    font-weight: 700;
    font-style: italic;
    font-size:35px;
    text-shadow:2px 2px 3px gray;
    animation-name: flashText;
    animation-duration: 3s;
    animation-iteration-count: 2;
    text-align: center;
}

#cta-button{
    background:#15173D;
    color:white;
    padding:20px;
}

/* HISTORY PAGE */

#history-title{
    text-align: center;
    font-family: "pirulen", sans-serif;
    font-weight: 700;
    font-size: 17px;
    margin-left: 15px;
    margin-right: 15px;
}

.history-text{
    font-family: Georgia, Times, 'Times New Roman', serif;
    font-size: 15px;
    margin-left: 40px;
    margin-right: 40px;
}

#ai-generated{
    font-family: Georgia, Times, 'Times New Roman', serif;
    font-size: 10px;
    margin-left: 40px;
    margin-right: 40px;
}

.parallax-1 {
  background-image: url('../img/backgroun-2.jpg');
  min-height: 300px;
  background-attachment: scroll; 
  background-position: center;
  background-repeat: no-repeat;
  background-size: cover;
  margin-left: 40px;
  margin-right: 40px;
}

.parallax-2 {
  background-image: url('../img/moon-image.jpeg');
  min-height: 300px;
  background-attachment: scroll;
  background-position: center;
  background-repeat: no-repeat;
  background-size: cover; 
  margin-left: 40px;
  margin-right: 40px;
}

.parallax-3 {
  background-image: url('../img/astronaut.jpeg');
  min-height: 300px;
  background-attachment: scroll;
  background-position: center;
  background-repeat: no-repeat;
  background-size: cover;
  margin-left: 40px;
  margin-right: 40px;
}

  /* FACTS PAGE */
.fun-facts, #click-on-facts{
    display: block;
    justify-content: center;
    height: auto;
    margin-left: 40px;
    margin-right: 40px;
    text-align: center;
    position:relative;
    font-family: Georgia, Times, 'Times New Roman', serif;
    font-size: 15px;
}

.myth-overlay, .fact-overlay{
    display: none;
}

#hover-over-facts{
    opacity: 0%;
}

#click-on-facts{
    opacity: 1;
    top:-45px;
}

#under-myth-or-fact{
    height: 40px;
}

.fun-facts {
  position: relative;
  outline: none; 
}

.fun-facts:focus .myth-overlay {
  opacity: 1;
}

.myth-overlay {
  opacity: 0;
  transition: opacity 0.3s ease;
  width:300px;
    height:100%;
    background-color: yellow;
    position:absolute;
    display:flex;
    flex-direction: column;
    justify-content:center;
    align-items: center;
    font-size: 20px;
    color: black;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
}

.fun-facts:focus .fact-overlay {
  opacity: 1;
}

.fact-overlay {
  opacity: 0;
  transition: opacity 0.3s ease;
  width:300px;
    height:100%;
    background-color: green;
    position:absolute;
    display:flex;
    flex-direction: column;
    justify-content:center;
    align-items: center;
    font-size: 20px;
    color: black;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
}

.fun-facts:focus {
  outline: none;
}

/* MINORITIES PAGE */
.bio{
    text-align: center;
    font-family: Georgia, Times, 'Times New Roman', serif;
    font-size: 15px;
    margin-left: 10px;
    margin-right: 10px;
}



/* DESKTOP MEDIA QUERY */

@media screen and (min-width:1081px){
    /*Hide the mobile nav once the screen is 1081 pixels wide*/
    .mobile-nav{
        display:none;
    }
    /*Show the desktop nav*/
    .desktop-nav{
        display:flex;
    }
    .page-title{
        font-size: 60px;
    }

    .container {
    display:flex;
    flex-direction: column;
    justify-content:center;
    align-items: center;
    background-image:url('../img/background-1.jpeg');
    background-repeat: no-repeat;
    background-size: cover;
    height:100vh;
    padding: 5%;
} 

/* HISTORY PAGE */


#history-title{
    text-align: center;
    font-family: "pirulen", sans-serif;
    font-weight: 700;
    font-size: 35px;
}

.history-text{
    font-family: Georgia, Times, 'Times New Roman', serif;
    font-size: 20px;
    margin-left: 50px;
    margin-right: 50px;
}

#ai-generated{
    font-family: Georgia, Times, 'Times New Roman', serif;
    font-size: 15px;
    margin-left: 50px;
    margin-right: 50px;
}

.parallax-1 {
  background-image: url('../img/backgroun-2.jpg');
  min-height: 500px;
  background-attachment: fixed;
  background-position: center;
  background-repeat: no-repeat;
  background-size: cover;
}


.parallax-2 {
  background-image: url('../img/moon-image.jpeg');
  min-height: 500px;
  background-attachment: fixed;
  background-position: center;
  background-repeat: no-repeat;
  background-size: 4290px;
}

.parallax-3 {
  background-image: url('../img/astronaut.jpeg');
  min-height: 500px;
  background-attachment: fixed;
  background-position: center;
  background-repeat: no-repeat;
  background-size: cover;
}

/* Regular content sections */
.content-section {
  padding: 60px 20px;
  margin: auto;
}

/* FACTS PAGE */

.fun-facts, #hover-over-facts{
    display: block;
    justify-content: center;
    text-align: center;
    font-size: 30px;
    height:auto;
    margin-left: 50px;
    margin-right: 50px;
    position: relative;
    font-family:Georgia, 'Times New Roman', Times, serif;
    position: relative;
    
}

.myth-facts{
    margin-left: 200px;
    margin-right: 200px;
}

.fun-fact-img{
    width: 700px;
}

.myth-overlay{
    width:700px;
    height:100%;
    background-color: yellow;
    position:absolute;
    opacity:0;
    display:flex;
    flex-direction: column;
    justify-content:center;
    align-items: center;
    font-size: 5em;
    color: black;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    transition: opacity 0.3s ease;
}

.myth:hover .myth-overlay{
    opacity:1;
}

.fact-overlay{
    width:700px;
    height:100%;
    background-color: green;
    position:absolute;
    opacity:0;
    display:flex;
    flex-direction: column;
    justify-content:center;
    align-items: center;
    font-size: 5em;
    color: black;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
}

.fact:hover .fact-overlay{
    opacity:1;
}

#hover-over-facts{
    opacity: 1;
}

#click-on-facts{
    opacity: 0;
}

#info-explained{
    font-size: 30px;
}

.fun-facts:focus .overlay {
  opacity: 0;
}

.fun-facts:focus {
  outline: none;
  box-shadow: none; 
  
}

/* MINORITIES PAGE */
 .bio{
        display:flex;
    }

    .bio img{
        max-width: 425px;
        height: 350px;
        margin-right:10px;
        object-fit: cover;
        padding-top: 5px;
    }

    .bio p{
        display:block;
        font-size: 20px;
    }
}
